Unit Font6x6;

Interface

Procedure Font6x6_Blit_Char(X, Y : Word; C : Char;Color:Byte);
Procedure Font6x6_Init(S:String);
Procedure Font6x6_Blit_String(X, Y : Word; S : String;Color:Byte);
Procedure Font6x6_Done;

Implementation

Uses VGA_A, HHG;

Var
  Font : TImageFile;

Procedure Font6x6_Init(S:String);
  begin
    HHG_Load(S, Font);
  end;

Procedure Font6x6_Blit_Char(X, Y : Word; C : Char;Color:Byte);
  begin
    if C in ['A'..'Z'] then
    VGA_PutImage_Trans(X, Y, Font.Images[Byte(C)-65 + 26 * Color]^, 6, 6);
  end;

Procedure Font6x6_Blit_String(X, Y : Word; S : String;Color:Byte);
Var I : Byte;
  begin
   For I := 1 to Length(S) do
     begin
       Font6x6_Blit_Char(X, Y, S[I],Color);
       Inc(X, 6);
     end;
  end;

Procedure Font6x6_Done;
  begin
    HHG_FreeMem(Font);
  end;

end.